
SETUP_INFO = dict(
    name = 'snaprotator',
    version = '7.2.10',
    author = 'Mike Selivanov',
    author_email = 'mikes@infinidat.com',

    url = None,
    license = 'BSD',
    description = """Snapshot rotation script for InfiniBox""",
    long_description = """Snapshot rotation script for InfiniBox""",

    # http://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers = [
        "Intended Audience :: Developers",
        "Intended Audience :: System Administrators",
        "License :: OSI Approved :: BSD License",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ],

    install_requires = [
'capacity',
'docopt',
'gevent==1.5a3',
'greenlet==0.4.15',
'infi.pyvmomi-wrapper',
'infi.recipe.console-scripts',
'infi.storagemodel',
'infinisdk',
'lockfile',
'Logbook==1.5.3',
'marshmallow',
'mprpc==0.1.17',
'msgpack_python==0.4.8',
'psutil==5.7.0',
'schema',
'setuptools',
'tornado==4.5.2'
],
    namespace_packages = [],

    package_dir = {'': 'src'},
    package_data = {'': []},
    include_package_data = True,
    zip_safe = False,

    entry_points = dict(
        console_scripts = [
'snaprotator = snaprotator.snaprotator:main',
'snaprotator_copy_example_config = snaprotator.snaprotator:copy_example_config'
],
        gui_scripts = [],
        ),
)

if SETUP_INFO['url'] is None:
    _ = SETUP_INFO.pop('url')

def setup():
    from setuptools import setup as _setup
    from setuptools import find_packages
    SETUP_INFO['packages'] = find_packages('src')
    _setup(**SETUP_INFO)

if __name__ == '__main__':
    setup()

